/**
 * ==============================================================================
 * Imports
 * ==============================================================================
 */
const imageInputFileToBase64 = require("./media/imageInputFileToBase64");
const imageInputToBase64 = require("./media/imageInputToBase64");
const inputFileToBase64 = require("./media/inputFileToBase64");
const getAccessToken = require("./auth/google/getAccessToken");
const logout = require("./auth/logout");

/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */

/**
 * ==============================================================================
 * Media Functions Object
 * ==============================================================================
 */
const db = {
    add: imageInputToBase64,
    imageInputFileToBase64: imageInputFileToBase64,
    inputFileToBase64: inputFileToBase64,
};

/**
 * ==============================================================================
 * Main Export
 * ==============================================================================
 */
const dsqlEngine = {
    media: media,
    auth: auth,
};

module.exports = dsqlEngine;

/** ********************************************** */
/** ********************************************** */
/** ********************************************** */
